#Do not repack the jars as there are permission issues in the
#jar packaging

%define __jar_repack %{nil}

Name:		vassal
Version:	3.2.15
Release:	%mkrel 2
Summary:	A game engine for building and playing online adaptations of board games and card games
Group:		Games/Other
License:	LGPLv2+
URL:		http://www.vassalengine.org/
Source0:	http://downloads.sourceforge.net/vassalengine/VASSAL-%{version}-src.zip
Patch0:		vassal.makefile.patch
Patch1:		vassal.guava.patch
Patch2:		vassal-3.2.13-mga-batik-svg.patch
BuildArch:	noarch

BuildRequires:	apache-commons-codec
BuildRequires:	apache-commons-io
BuildRequires:	apache-commons-lang
BuildRequires:	batik
BuildRequires:	bsh
BuildRequires:	gnu-getopt
BuildRequires:	guava
BuildRequires:	janino
BuildRequires:	java-devel
BuildRequires:	jlayer
BuildRequires:	jna
BuildRequires:	logback
BuildRequires:	slf4j
BuildRequires:	swing-layout
BuildRequires:	swingx
BuildRequires:	xerces-j2

Requires:	apache-commons-codec
Requires:	apache-commons-io
Requires:	apache-commons-lang
Requires:	batik
Requires:	bsh
Requires:	gnu-getopt
Requires:	guava
Requires:	janino
Requires:	java
Requires:	jlayer
Requires:	jna
Requires:	logback
Requires:	slf4j
Requires:	swing-layout
Requires:	swingx
Requires:	xerces-j2

%description
Vassal is a game engine for building and playing online adaptations of board
games and card games. Play live on the Internet or by email. Vassal runs on
all platforms, and is free, open-source software.

%prep
%setup -q -n VASSAL-%{version}-src
%patch0
%patch1 -p1
%patch2 -p1

%build
rm -rf lib/batik* lib/licenses/batik*
rm -rf lib/xml*
rm -rf lib/xalan*
rm -rf lib/smackx-debug.jar
rm -rf lib/swing-layout* lib/licenses/swing-layout*
rm -rf lib/xerces*
rm -rf lib/swingx-*.jar lib/licenses/swingx*
rm -rf lib/*getopt* lib/licenses/*getopt*
rm -rf lib/commons-lang* lib/licenses/commons-lang*
rm -rf lib/commons-io* lib/licenses/commons-io*
rm -rf lib/commons-codec* lib/licenses/commons-codec*
rm -rf lib/janino* lib/licenses/janino*
rm -rf lib/slf4j* lib/licenses/slf4j*
rm -rf lib/jl* lib/licenses/jL*
rm -rf lib/guava* lib/licenses/guava*
rm -rf lib/logback* lib/licenses/logback*

make jar
chmod a+r lib/Vengine.jar

%install
#make some install dirs
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_javadir}/%{name}/lib

#install package
cp -avr lib/*.jar %{buildroot}%{_javadir}/%{name}/lib
cp -avr doc %{buildroot}%{_javadir}/%{name}

#create our launch wrapper script
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_javadir}/%{name}
export CLASSPATH=lib/Vengine.jar:%{_javadir}/swingx.jar:%{_javadir}/gnu-getopt.jar:%{_javadir}/apache-commons-lang.jar:%{_javadir}/apache-commons-io.jar:%{_javadir}/batik-all.jar:%{_javadir}/swing-layout.jar:%{_javadir}/slf4j/api.jar:%{_javadir}/commons-codec.jar:%{_javadir}/jl1.0.1.jar:%{_javadir}/guava.jar:%{_javadir}/janino/janino.jar:%{_javadir}/logback/logback-classic.jar:%{_javadir}/logback/logback-core.jar
java VASSAL.launch.ModuleManager "\$@"
EOF

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Vassal Game Engine
Name[fr]=Moteur de jeu Vassal
Comment=%{summary}
Comment[fr]=Un moteur de jeu pour construire et jouer en ligne, adaptations de jeux de société et jeux de cartes
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

#Install icons
pushd src/icons
  for size in 16x16 32x32 48x48; do
    install -D -m644 ${size}/VASSAL.png %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
  done
    install -D -m644 scalable/VASSAL.svg %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.svg
popd

%files
%doc doc/*
%license lib/licenses/*
%{_bindir}/*
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Feb 27 2016 umeabot <umeabot> 3.2.15-2.mga6
+ Revision: 979797
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 daviddavid <daviddavid> 3.2.15-1.mga6
+ Revision: 896691
- new version: 3.2.15
- move jar files into java dir
- add BR and Requires on logback
- add classpath on logback-classic.jar and logback-core.jar
- remove unneeded license files and move others into license dir
- add docs into main vassal folder (needed for vassal Help dialog window)
- add missing classpath on janino.jar
- add French translation for desktop file

* Fri Oct 30 2015 daviddavid <daviddavid> 3.2.13-5.mga6
+ Revision: 896687
- add Patch2 to fix build with latest batik 1.8_Final

* Wed Nov 05 2014 tv <tv> 3.2.13-4.mga5
+ Revision: 795723
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.13-3.mga5
+ Revision: 741492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.13-2.mga5
+ Revision: 690128
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 akien <akien> 3.2.13-1.mga5
+ Revision: 666674
- Add and use upstream hicolor icons
- Version 3.2.13

* Fri Jul 11 2014 joequant <joequant> 3.2.12-1.mga5
+ Revision: 651244
- upgrade to 3.2.12

* Sat Jun 14 2014 akien <akien> 3.2.11-1.mga5
+ Revision: 636084
- Version 3.2.11

* Sat Oct 19 2013 umeabot <umeabot> 3.2.8-2.mga4
+ Revision: 533652
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 joequant <joequant> 3.2.8-1.mga4
+ Revision: 474622
- upgrade to 3.2.8
- update vassal to 3.2.2

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 joequant <joequant> 3.1.20-3.mga3
+ Revision: 315316
- add gnu-getopt to build

* Sun Nov 04 2012 fwang <fwang> 3.1.20-2.mga3
+ Revision: 314157
- br gnu-getopt jar to have it built
- build java-rpmbuild to build
- drop ended dot
- update new uri of source0
- various spec cleanup

  + joequant <joequant>
    - change to vassal src package
    - change to download source vassal
    - remove redundant java files
    - imported package vassal


* Sat Sep 08 2012 joequant <joequant> 3.1.20-1.mga3
+ Version 3.1.20
- port to mageia

* Sun Dec 05 2010 Texstar <texstar at gmail.com> 3.1.14-1pclos2010
- create package

